//---------------------------------------------------------------------
//  Copyright (C) Microsoft Corporation.  All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//
//---------------------------------------------------------------------

using System;
using System.ComponentModel;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;

namespace DesignSurfaceExtenderLibrary
{
    /// <summary>
    /// A component that provides extensions to a Windows Forms
    /// design surface.
    /// </summary>
    [DesignerAttribute( typeof( DesignSurfaceExtenderDesigner ) )]
    public partial class DesignSurfaceExtender : Component
    {
        /// <summary>
        /// Initializes a new instance of the 
        /// <see cref="DesignSurfaceExtender"/> component.
        /// </summary>
        public DesignSurfaceExtender()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Initializes a new instance of the 
        /// <see cref="DesignSurfaceExtender"/> component in the
        /// specified <see cref="IContainer"/>.
        /// </summary>
        /// <param name="container">The logical container for the component.</param>
        public DesignSurfaceExtender( IContainer container )
        {
            container.Add( this );

            InitializeComponent();
        }
    }
}
